<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RRemoteClusterMember StructType
 * @subpackage Structs
 */
class RRemoteClusterMember extends AbstractStructBase
{
    /**
     * The enabled
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enabled;
    /**
     * The remoteIpAddress1
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 15
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteIpAddress1;
    /**
     * The remoteIpAddress2
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 15
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteIpAddress2;
    /**
     * The remoteIpAddress3
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 15
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteIpAddress3;
    /**
     * Constructor method for RRemoteClusterMember
     * @uses RRemoteClusterMember::setEnabled()
     * @uses RRemoteClusterMember::setRemoteIpAddress1()
     * @uses RRemoteClusterMember::setRemoteIpAddress2()
     * @uses RRemoteClusterMember::setRemoteIpAddress3()
     * @param string $enabled
     * @param string $remoteIpAddress1
     * @param string $remoteIpAddress2
     * @param string $remoteIpAddress3
     */
    public function __construct($enabled = null, $remoteIpAddress1 = null, $remoteIpAddress2 = null, $remoteIpAddress3 = null)
    {
        $this
            ->setEnabled($enabled)
            ->setRemoteIpAddress1($remoteIpAddress1)
            ->setRemoteIpAddress2($remoteIpAddress2)
            ->setRemoteIpAddress3($remoteIpAddress3);
    }
    /**
     * Get enabled value
     * @return string|null
     */
    public function getEnabled()
    {
        return $this->enabled;
    }
    /**
     * Set enabled value
     * @param string $enabled
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteClusterMember
     */
    public function setEnabled($enabled = null)
    {
        $this->enabled = $enabled;
        return $this;
    }
    /**
     * Get remoteIpAddress1 value
     * @return string|null
     */
    public function getRemoteIpAddress1()
    {
        return $this->remoteIpAddress1;
    }
    /**
     * Set remoteIpAddress1 value
     * @param string $remoteIpAddress1
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteClusterMember
     */
    public function setRemoteIpAddress1($remoteIpAddress1 = null)
    {
        $this->remoteIpAddress1 = $remoteIpAddress1;
        return $this;
    }
    /**
     * Get remoteIpAddress2 value
     * @return string|null
     */
    public function getRemoteIpAddress2()
    {
        return $this->remoteIpAddress2;
    }
    /**
     * Set remoteIpAddress2 value
     * @param string $remoteIpAddress2
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteClusterMember
     */
    public function setRemoteIpAddress2($remoteIpAddress2 = null)
    {
        $this->remoteIpAddress2 = $remoteIpAddress2;
        return $this;
    }
    /**
     * Get remoteIpAddress3 value
     * @return string|null
     */
    public function getRemoteIpAddress3()
    {
        return $this->remoteIpAddress3;
    }
    /**
     * Set remoteIpAddress3 value
     * @param string $remoteIpAddress3
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteClusterMember
     */
    public function setRemoteIpAddress3($remoteIpAddress3 = null)
    {
        $this->remoteIpAddress3 = $remoteIpAddress3;
        return $this;
    }
}
